Panda3D

Public Member Functions | List of all members
TangentRingEmitter Class Reference

Describes a planar ring region in which tangent particles are generated, and particles fly off tangential to the ring. More...

`#include "tangentRingEmitter.h"`

Inheritance diagram for TangentRingEmitter:

## Public Member Functions
| TangentRingEmitter ()
| constructor More...
| TangentRingEmitter (const TangentRingEmitter &copy)
| copy constructor More...
virtual | ~TangentRingEmitter ()
| destructor More...
PN_stdfloat | get_radius () const
PN_stdfloat | get_radius_spread () const
virtual BaseParticleEmitter * | make_copy ()
| child copier More...
virtual void | output (std::ostream &out) const
| Write a string representation of this instance to <out>. More...
void | set_radius (PN_stdfloat r)
void | set_radius_spread (PN_stdfloat spread)
virtual void | write (std::ostream &out, int indent=0) const
| Write a string representation of this instance to <out>. More...
Public Member Functions inherited from BaseParticleEmitter
virtual | ~BaseParticleEmitter ()
| destructor More...
void | generate (LPoint3 &pos, LVector3 &vel)
| parent generation function More...
PN_stdfloat | get_amplitude () const
| amplitude query More...
PN_stdfloat | get_amplitude_spread () const
| amplitude spread query More...
emissionType | get_emission_type () const
| emission type query More...
LVector3 | get_explicit_launch_vector () const
| query for explicit emission launch vector More...
LVector3 | get_offset_force () const
| user-defined force More...
LPoint3 | get_radiate_origin () const
| query for explicit emission launch vector More...
void | set_amplitude (PN_stdfloat a)
| amplitude assignment More...
void | set_amplitude_spread (PN_stdfloat as)
| amplitude spread assignment More...
void | set_emission_type (emissionType et)
| emission type assignment More...
void | set_explicit_launch_vector (const LVector3 &elv)
| assignment of explicit emission launch vector More...
void | set_offset_force (const LVector3 &of)
| user-defined force More...
void | set_radiate_origin (const LPoint3 &ro)
| assignment of radiate emission origin point More...
Public Member Functions inherited from ReferenceCount
int | get_ref_count () const
WeakReferenceList * | get_weak_list () const
| Returns the WeakReferenceList associated with this ReferenceCount object. More...
bool | has_weak_list () const
| Returns true if this particular ReferenceCount object has a WeakReferenceList created, false otherwise. More...
void | local_object ()
| This function should be called, once, immediately after creating a new instance of some ReferenceCount-derived object on the stack. More...
void | ref () const
| Explicitly increments the reference count. More...
bool | ref_if_nonzero () const
| Atomically increases the reference count of this object if it is not zero. More...
bool | test_ref_count_integrity () const
| Does some easy checks to make sure that the reference count isn't completely bogus. More...
bool | test_ref_count_nonzero () const
| Does some easy checks to make sure that the reference count isn't zero, or completely bogus. More...
virtual bool | unref () const
| Explicitly decrements the reference count. More...
bool | unref_if_one () const
| Atomically decreases the reference count of this object if it is one. More...
WeakReferenceList * | weak_ref ()
| Adds the indicated PointerToVoid as a weak reference to this object. More...
void | weak_unref ()
| Removes the indicated PointerToVoid as a weak reference to this object. More...
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Additional Inherited Members
Public Types inherited from BaseParticleEmitter
enum | emissionType { ET_EXPLICIT , ET_RADIATE , ET_CUSTOM }
Static Public Member Functions inherited from ReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()
Public Attributes inherited from ReferenceCount
| get_ref_count
| Returns the current reference count. More...

## Detailed Description

Describes a planar ring region in which tangent particles are generated, and particles fly off tangential to the ring.

Definition at line 23 of file tangentRingEmitter.h.

## Constructor & Destructor Documentation

## ◆ TangentRingEmitter() [1/2]

TangentRingEmitter::TangentRingEmitter | ( |  | ) |

constructor

Definition at line 19 of file tangentRingEmitter.cxx.

Referenced by make_copy().

## ◆ TangentRingEmitter() [2/2]

TangentRingEmitter::TangentRingEmitter | ( | const TangentRingEmitter & | copy | ) |

copy constructor

Definition at line 28 of file tangentRingEmitter.cxx.

## ◆ ~TangentRingEmitter()

TangentRingEmitter::~TangentRingEmitter | ( |  | ) |
| virtual

destructor

Definition at line 38 of file tangentRingEmitter.cxx.

## Member Function Documentation

## ◆ make_copy()

BaseParticleEmitter * TangentRingEmitter::make_copy | ( |  | ) |
| virtual

child copier

Implements BaseParticleEmitter.

Definition at line 45 of file tangentRingEmitter.cxx.

References TangentRingEmitter().

## ◆ output()

void TangentRingEmitter::output | ( | std::ostream & | out | ) | const
| virtual

Write a string representation of this instance to <out>.

Reimplemented from BaseParticleEmitter.

Definition at line 75 of file tangentRingEmitter.cxx.

## ◆ write()

void TangentRingEmitter::write | ( | std::ostream & | out,
|  | int | indent = `0`
| ) |  | const
| virtual

Write a string representation of this instance to <out>.

Reimplemented from BaseParticleEmitter.

Definition at line 85 of file tangentRingEmitter.cxx.

References indent(), and BaseParticleEmitter::write().

The documentation for this class was generated from the following files:

- panda/src/particlesystem/tangentRingEmitter.h
- panda/src/particlesystem/tangentRingEmitter.cxx
- panda/src/particlesystem/tangentRingEmitter.I